@import "variables.less";

@itemNameHeight: 60px;

.GDW.sheet.item {
  min-height: 400px;
  max-height: 95%;
  min-width: 480px;

  /* ----------------------------------------- */
  /*  Sheet Header                             */
  /* ----------------------------------------- */

  .sheet-header {

    /* Item Name */
    h1.title {
      flex: 1;
      padding: 2px 5px 2px 2px;

      textarea {
        .font-heading-bold();
        font-variant-caps: small-caps;
        font-size: @itemNameHeight - 4px - 12px - 23px;
        resize: none;
        width: 100%;
      }
    }

    .item-subtitle {
      flex: 0 0 100px;
      height: 60px;
      margin: 0;
      padding: 5px;
      text-align: right;
      color: @colorTan;

      .item-type {
        font-size: 24px;
        line-height: 26px;
        margin: 0;
      }

      .item-status {
        font-size: 14px;
        line-height: 24px;
      }
    }
  }


  .sheet-body {
    overflow: hidden;

    .tab {
      padding: 0 5px;
      overflow: hidden auto;
    }

    .item-properties {
      flex: 0 0 156px;
      margin: 0 5px 0 0;
      padding-right: 5px;
      border-right: @borderGroove;

      .form-group {
        margin: 3px 0;

        label {
          font-family: 'Orbitron';
          line-height: 20px;
        }

        input {
          flex: 2;
          text-align: right;
        }
      }

      .properties-list {
        list-style: none;
        margin: 0;
        padding: 0;

        li {
          margin: 3px 0;
          padding: 0 2px;
          background: rgba(0, 0, 0, 0.05);
          border: @borderGroove;
          text-align: center;
          font-size: 12px;
          line-height: 18px;
        }
      }
    }
  }
}
